package com.yidianling.im.ui.page.fragment.view

import android.content.Context
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import android.widget.RelativeLayout
import com.yidianling.im.R
import kotlinx.android.synthetic.main.im_interact_footer_item_view.view.*

/**
 * Created by xj on 2019/10/14.
 */
class InteractFooterItemView(mContext: Context): LinearLayout(mContext) {

    init {
        val params = RelativeLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT)
        layoutParams = params
        View.inflate(mContext, R.layout.im_interact_footer_item_view, this)
    }

    fun setNoMoreText() {
        interact_footer_text.text = "已经到达底部"
    }

    fun setOnLoading() {
        interact_footer_text.text = "正在加载更多"
    }

    fun setOnComplete() {
        interact_footer_text.text = "加载完成"
    }

}